Difference between revisions of "Draft Circle"

From FreeCAD Documentation
Jump to navigation Jump to search
(bullet point one level)
 
(83 intermediate revisions by 7 users not shown)
Line 1: Line 1:
 
<languages/>
 
<languages/>
 
<translate>
 
<translate>
 +
 +
<!--T:18-->
 +
{{Docnav
 +
|[[Draft_Arc_3Points|Arc 3Points]]
 +
|[[Draft_Ellipse|Ellipse]]
 +
|[[Draft_Workbench|Draft]]
 +
|IconL=Draft_Arc_3Points.svg
 +
|IconR=Draft_Ellipse.svg
 +
|IconC=Workbench_Draft.svg
 +
}}
 +
 
<!--T:1-->
 
<!--T:1-->
{{GuiCommand|Name=Draft Circle|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft → Circle|Shortcut=C I|SeeAlso=[[Draft Arc|Draft Arc]]}}
+
{{GuiCommand
 +
|Name=Draft Circle
 +
|MenuLocation=Drafting → Circle
 +
|Workbenches=[[Draft_Workbench|Draft]], [[Arch_Workbench|Arch]]
 +
|Shortcut={{KEY|C}} {{KEY|I}}
 +
|Version=0.7
 +
|SeeAlso=[[Draft_Arc|Draft Arc]], [[Draft_Arc_3Points|Draft Arc 3Points]]
 +
}}
  
==Description== <!--T:2-->
+
==Description== <!--T:21-->  
The Circle tool creates a circle in the current [[Draft SelectPlane|work plane]] by entering two points, the center and the radius, or by picking tangents, or any combination of those. It uses the [[Draft Linestyle]] set on the [[Draft Tray]]. This tool works the same way as the [[Draft Arc]] tool, except that it stops after entering the radius.
 
  
 +
<!--T:2-->
 +
The [[Image:Draft_Circle.svg|24px]] '''Draft Circle''' command creates a circle in the current [[Draft_SelectPlane|working plane]] from a center and a radius. The radius can be defined by picking a point.
 +
 +
<!--T:11-->
 +
A Draft Circle can be turned into an arc by setting its {{PropertyData|First Angle}} and {{PropertyData|Last Angle}} properties to different values.
 +
 +
</translate>
 +
[[Image:Draft_Circle_example.jpg|400px]]
 +
<translate>
 
<!--T:3-->
 
<!--T:3-->
[[Image:Draft_Circle_example.jpg|400px]]
+
{{Caption|Circle defined by two points, center and radius}}
 +
 
 +
==Usage== <!--T:22-->
 +
 
 +
<!--T:23-->
 +
See also: [[Draft_Tray|Draft Tray]], [[Draft_Snap|Draft Snap]] and [[Draft_Constrain|Draft Constrain]].
 +
 
 +
<!--T:4-->
 +
# There are several ways to invoke the command:
 +
#* Press the {{Button|[[Image:Draft_Circle.svg|16px]] [[Draft_Circle|Draft Circle]]}} button.
 +
#* Select the {{MenuCommand|Drafting → [[Image:Draft_Circle.svg|16px]] Circle}} option from the menu.
 +
#* Use the keyboard shortcut: {{KEY|C}} then {{KEY|I}}.
 +
# The {{MenuCommand|Circle}} task panel opens. See [[#Options|Options]] for more information.
 +
# Pick the first point, the center of the circle, in the [[3D_view|3D view]], or type coordinates and press the {{Button|[[Image:Draft_AddPoint.svg|16px]] Enter point}} button.
 +
# Pick the second point in the [[3D_view|3D view]], or enter a {{MenuCommand|Radius}}.
 +
 
 +
==Options== <!--T:24-->
 +
 
 +
<!--T:25-->
 +
The single character keyboard shortcuts available in the task panel can be changed. See [[Draft_Preferences|Draft Preferences]]. The shortcuts mentioned here are the default shortcuts.
 +
 
 +
<!--T:5-->
 +
* To manually enter the coordinates for the center enter the X, Y and Z component, and press {{KEY|Enter}} after each. Or you can press the {{Button|[[Image:Draft_AddPoint.svg|16px]] Enter point}} button when you have the desired values. It is advisable to move the pointer out of the [[3D_view|3D view]] before entering coordinates.
 +
* The {{MenuCommand|Relative}} checkbox has no purpose for this command.
 +
* Press {{KEY|G}} or click the {{MenuCommand|Global}} checkbox to toggle global mode. If global mode is on, coordinates are relative to the global coordinate system, else they are relative to the [[Draft_SelectPlane|working plane]] coordinate system. {{Version|0.20}}
 +
* Press {{KEY|L}} or click the {{MenuCommand|Filled}} checkbox to toggle filled mode. If filled mode is on, the created circle will have {{PropertyData|Make Face}} set to {{TRUE}} and will have a filled face.
 +
* Press {{KEY|T}} or click the {{MenuCommand|Continue}} checkbox to toggle continue mode. If continue mode is on, the command will restart after finishing, allowing you to continue creating circles.
 +
* Press {{KEY|S}} to switch [[Draft_Snap|Draft snapping]] on or off.
 +
* Press {{KEY|Esc}} or the {{Button|Close}} button to abort the command.
 +
 
 +
==Notes== <!--T:26-->
 +
 
 +
<!--T:12-->
 +
* A Draft Circle can be edited with the [[Draft_Edit|Draft Edit]] command.
 +
 
 +
==Preferences== <!--T:35-->
 +
 
 +
<!--T:36-->
 +
See also: [[Preferences_Editor|Preferences Editor]] and [[Draft_Preferences|Draft Preferences]].
 +
 
 +
<!--T:37-->
 +
* To change the number of decimals used for the input of coordinates and radii: {{MenuCommand|Edit → Preferences... → General → Units → Units settings → Number of decimals}}.
 +
* To change the initial value of filled mode: {{MenuCommand|Edit → Preferences... → Draft → General settings → Draft tools options → Fill objects with faces whenever possible}}. Changing the filled mode in a task panel will override this preference for the current FreeCAD session.
 +
* If the {{MenuCommand|Edit → Preferences... → Draft → General settings → Draft tools options → Use Part Primitives when available}} option is checked, the command will create a [[Part_Circle|Part Circle]] instead of a Draft Circle.
 +
 
 +
==Properties== <!--T:27-->
 +
 
 +
<!--T:28-->
 +
See also: [[Property_editor|Property editor]].
 +
 
 +
<!--T:29-->
 +
A Draft Circle object is derived from a [[Part_Part2DObject|Part Part2DObject]] and inherits all its properties. It also has the following additional properties:
 +
 
 +
===Data=== <!--T:30-->
  
==How to use== <!--T:4-->
+
<!--T:31-->
# Press the {{KEY|[[Image:Draft Circle.png|16px]] [[Draft Circle|Draft Circle]]}} button, or press {{KEY|C}} then {{KEY|I}} keys
+
{{TitleProperty|Draft}}
# Click a first point on the 3D view, or type a [[Draft_Coordinates|coordinate]]
 
# Click a second point on the 3D view, or enter a radius value.
 
  
The circle can be turned into an arc after creation, by setting its first angle and last angle properties to different values.
+
<!--T:14-->
 +
* {{PropertyData|Area|Area}}: (read-only) specifies the area of the face of the circle. The value will be {{value|0.0}} if {{PropertyData|Make Face}} if {{FALSE}} or the face cannot be created.
 +
* {{PropertyData|First Angle|Angle}}: specifies the start angle of the circle, normally {{value|0&#176;}}.
 +
* {{PropertyData|Last Angle|Angle}}: specifies the end angle of the circle, normally {{value|0&#176;}}.
 +
* {{PropertyData|Make Face|Bool}}: specifies if the circle makes a face or not. If it is {{TRUE}} a face is created, otherwise only the perimeter is considered part of the object. This property only works if the {{PropertyData|First Angle}} and {{PropertyData|Last Angle}} have the same value. Note that {{value|0&#176;}} and {{value|360&#176;}} are not considered the same.
 +
* {{PropertyData|Radius|Length}}: specifies the radius of the circle.
  
==Options== <!--T:5-->
+
===View=== <!--T:32-->
* The primary use of the circle tool is by picking two points, the centre and a point on the circumference.
 
** By pressing {{KEY|Alt}}, you can select a tangent instead of picking a point. You can therefore construct several types of circles by selecting one, two or three tangents.
 
* To enter coordinates manually, simply enter the numbers, then press {{KEY|Enter}} between each X, Y and Z component.
 
* Press {{KEY|T}} or click the checkbox to toggle ''continue'' mode. If continue mode is on, the Circle tool will restart after you finish the circle, allowing you to draw another one without pressing the tool button again.
 
* Press {{KEY|L}} or click the checkbox to toggle ''filled'' mode. If filled mode is on, a the circle will create a filled face ({{PropertyData|Make Face}} {{TRUE}}); if not, the circle will not make a face ({{PropertyData|Make Face}} {{FALSE}}).
 
* Press {{KEY|Ctrl}} while drawing to force [[Draft_Snap|snapping]] your point to the nearest snap location, independently of the distance.
 
* Press {{KEY|Shift}} while drawing to [[Draft_Constrain|constrain]] your second point horizontally or vertically in relation to the first one.
 
* Press {{KEY|Esc}} or the {{button|Cancel}} button to abort the current command.
 
  
==Properties== <!--T:6-->
+
<!--T:33-->
A Circle object shares all properties from a [[Draft Arc]], but some properties only make sense for the circle.
+
{{TitleProperty|Draft}}
  
===Data===
+
<!--T:15-->
* {{PropertyData|First Angle}}: specifies the starting angle of the circle; normally 0&#176;.
+
* {{PropertyView|Pattern|Enumeration}}: specifies the [[Draft_Pattern|Draft Pattern]] with which to fill the face of the circle. This property only works if {{PropertyData|Make Face}} is {{TRUE}} and if {{PropertyView|Display Mode}} is {{value|Flat Lines}}.
* {{PropertyData|Last Angle}}: specifies the ending angle of the circle; normally 0&#176;.
+
* {{PropertyView|Pattern Size|Float}}: specifies the size of the [[Draft_Pattern|Draft Pattern]].
* {{PropertyData|Radius}}: specifies the radius of the circle.
 
* {{PropertyData|Make Face}}: specifies if the Circle makes a face or not. If it is {{TRUE}} a face is created, otherwise only the circumference is considered part of the object. This property only works if the shape is a full circumference.
 
:For it to be a full circle {{PropertyData|First Angle}} and {{PropertyData|Last Angle}} should have the same value; otherwise, a [[Draft Arc]] is displayed. The values 0&#176; and 360&#176; aren't considered the same, so if these two values are used, the circle will not form a face.
 
  
===View===
+
==Scripting== <!--T:34-->
* {{PropertyView|Pattern}}: specifies a [[Draft Pattern]] with which to fill the face of the full circle. This property only works if {{PropertyData|Make Face}} is {{TRUE}}.
 
* {{PropertyView|Pattern Size}}: specifies the size of the [[Draft Pattern]].
 
  
==Scripting== <!--T:7-->
+
<!--T:7-->
{{emphasis|See also:}} [[FreeCAD Scripting Basics]], [[Draft API]], and the [https://www.freecadweb.org/api autogenerated API documentation].
+
See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].
  
The Circle tool can be used in [[macros]] and from the [[Python]] console by using the following function:
+
<!--T:16-->
 +
To create a Draft Circle use the {{incode|make_circle}} method ({{Version|0.19}}) of the Draft module. This method replaces the deprecated {{incode|makeCircle}} method.
  
 
</translate>
 
</translate>
 
{{Code|code=
 
{{Code|code=
Circle = makeCircle(radius, placement=None, face=None, startangle=None, endangle=None, support=None)
+
circle = make_circle(radius, placement=None, face=None, startangle=None, endangle=None, support=None)
Circle = makeCircle(Part.Edge, placement=None, face=None, startangle=None, endangle=None, support=None)
+
circle = make_circle(Part.Edge, placement=None, face=None, startangle=None, endangle=None, support=None)
 
}}
 
}}
 
<translate>
 
<translate>
 +
 
<!--T:8-->
 
<!--T:8-->
* Creates a {{incode|Circle}} object with given {{incode|radius}}.
+
* Creates a {{incode|circle}} object with given {{incode|radius}} in millimeters.
** {{incode|radius}} can also be a {{incode|Part.Edge}}, whose {{incode|Curve}} object must be a {{incode|Part.Circle}}
+
** {{incode|radius}} can also be a {{incode|Part.Edge}}, whose {{incode|Curve}} attribute must be a {{incode|Part.Circle}}.
* If a {{incode|placement}} is given, it is used.
+
* If {{incode|placement}} is {{incode|None}} the circle is created at the origin.
 
* If {{incode|face}} is {{incode|True}}, the circle will make a face, that is, it will appear filled.
 
* If {{incode|face}} is {{incode|True}}, the circle will make a face, that is, it will appear filled.
* If {{incode|startangle}} and {{incode|endangle}} are given (in degrees), and have different values, they are used and the object appears as a [[Draft Arc]].
+
* If {{incode|startangle}} and {{incode|endangle}} are given in degrees, and have different values, they are used and the object appears as a [[Draft Arc|Draft Arc]].
  
 
<!--T:9-->
 
<!--T:9-->
Line 63: Line 134:
 
</translate>
 
</translate>
 
{{Code|code=
 
{{Code|code=
 +
import FreeCAD as App
 
import Draft
 
import Draft
  
Circle1 = Draft.makeCircle(200)
+
doc = App.newDocument()
Circle2 = Draft.makeCircle(500)
 
Circle3 = Draft.makeCircle(750)
 
  
 +
circle1 = Draft.make_circle(200)
 +
 +
zaxis = App.Vector(0, 0, 1)
 +
p2 = App.Vector(1000, 1000, 0)
 +
place2 = App.Placement(p2, App.Rotation(zaxis, 0))
 +
circle2 = Draft.make_circle(500, placement=place2)
 +
 +
p3 = App.Vector(-1000, -1000, 0)
 +
place3 = App.Placement(p3, App.Rotation(zaxis, 0))
 +
circle3 = Draft.make_circle(750, placement=place3)
 +
 +
doc.recompute()
 +
}}
 +
<translate>
 +
 +
 +
<!--T:17-->
 +
{{Docnav
 +
|[[Draft_Arc_3Points|Arc 3Points]]
 +
|[[Draft_Ellipse|Ellipse]]
 +
|[[Draft_Workbench|Draft]]
 +
|IconL=Draft_Arc_3Points.svg
 +
|IconR=Draft_Ellipse.svg
 +
|IconC=Workbench_Draft.svg
 
}}
 
}}
{{clear}}
+
 
[[Category:Draft]]
+
</translate>
 +
{{Draft Tools navi{{#translation:}}}}
 +
{{Userdocnavi{{#translation:}}}}

Latest revision as of 18:00, 24 August 2021

Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
Arrow-left.svg Previous: Draft Arc 3Points.svg Arc 3Points
Next: Ellipse Draft Ellipse.svg Arrow-right.svg

Draft Circle.svg Draft Circle

Menu location
Drafting → Circle
Workbenches
Draft, Arch
Default shortcut
C I
Introduced in version
0.7
See also
Draft Arc, Draft Arc 3Points

Description

The Draft Circle.svg Draft Circle command creates a circle in the current working plane from a center and a radius. The radius can be defined by picking a point.

A Draft Circle can be turned into an arc by setting its DataFirst Angle and DataLast Angle properties to different values.

Draft Circle example.jpg

Circle defined by two points, center and radius

Usage

See also: Draft Tray, Draft Snap and Draft Constrain.

  1. There are several ways to invoke the command:
    • Press the Draft Circle.svg Draft Circle button.
    • Select the Drafting → Draft Circle.svg Circle option from the menu.
    • Use the keyboard shortcut: C then I.
  2. The Circle task panel opens. See Options for more information.
  3. Pick the first point, the center of the circle, in the 3D view, or type coordinates and press the Draft AddPoint.svg Enter point button.
  4. Pick the second point in the 3D view, or enter a Radius.

Options

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.

  • To manually enter the coordinates for the center enter the X, Y and Z component, and press Enter after each. Or you can press the Draft AddPoint.svg Enter point button when you have the desired values. It is advisable to move the pointer out of the 3D view before entering coordinates.
  • The Relative checkbox has no purpose for this command.
  • Press G or click the Global checkbox to toggle global mode. If global mode is on, coordinates are relative to the global coordinate system, else they are relative to the working plane coordinate system. introduced in version 0.20
  • Press L or click the Filled checkbox to toggle filled mode. If filled mode is on, the created circle will have DataMake Face set to true and will have a filled face.
  • Press T or click the Continue checkbox to toggle continue mode. If continue mode is on, the command will restart after finishing, allowing you to continue creating circles.
  • Press S to switch Draft snapping on or off.
  • Press Esc or the Close button to abort the command.

Notes

  • A Draft Circle can be edited with the Draft Edit command.

Preferences

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of coordinates and radii: Edit → Preferences... → General → Units → Units settings → Number of decimals.
  • To change the initial value of filled mode: Edit → Preferences... → Draft → General settings → Draft tools options → Fill objects with faces whenever possible. Changing the filled mode in a task panel will override this preference for the current FreeCAD session.
  • If the Edit → Preferences... → Draft → General settings → Draft tools options → Use Part Primitives when available option is checked, the command will create a Part Circle instead of a Draft Circle.

Properties

See also: Property editor.

A Draft Circle object is derived from a Part Part2DObject and inherits all its properties. It also has the following additional properties:

Data

Draft

  • DataArea (Area): (read-only) specifies the area of the face of the circle. The value will be 0.0 if DataMake Face if false or the face cannot be created.
  • DataFirst Angle (Angle): specifies the start angle of the circle, normally .
  • DataLast Angle (Angle): specifies the end angle of the circle, normally .
  • DataMake Face (Bool): specifies if the circle makes a face or not. If it is true a face is created, otherwise only the perimeter is considered part of the object. This property only works if the DataFirst Angle and DataLast Angle have the same value. Note that and 360° are not considered the same.
  • DataRadius (Length): specifies the radius of the circle.

View

Draft

  • ViewPattern (Enumeration): specifies the Draft Pattern with which to fill the face of the circle. This property only works if DataMake Face is true and if ViewDisplay Mode is Flat Lines.
  • ViewPattern Size (Float): specifies the size of the Draft Pattern.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To create a Draft Circle use the make_circle method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeCircle method.

circle = make_circle(radius, placement=None, face=None, startangle=None, endangle=None, support=None)
circle = make_circle(Part.Edge, placement=None, face=None, startangle=None, endangle=None, support=None)
  • Creates a circle object with given radius in millimeters.
    • radius can also be a Part.Edge, whose Curve attribute must be a Part.Circle.
  • If placement is None the circle is created at the origin.
  • If face is True, the circle will make a face, that is, it will appear filled.
  • If startangle and endangle are given in degrees, and have different values, they are used and the object appears as a Draft Arc.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

circle1 = Draft.make_circle(200)

zaxis = App.Vector(0, 0, 1)
p2 = App.Vector(1000, 1000, 0)
place2 = App.Placement(p2, App.Rotation(zaxis, 0))
circle2 = Draft.make_circle(500, placement=place2)

p3 = App.Vector(-1000, -1000, 0)
place3 = App.Placement(p3, App.Rotation(zaxis, 0))
circle3 = Draft.make_circle(750, placement=place3)

doc.recompute()


Arrow-left.svg Previous: Draft Arc 3Points.svg Arc 3Points
Next: Ellipse Draft Ellipse.svg Arrow-right.svg